<?


// Filter out HTML code


$content = htmlspecialchars($content);





// Bold and italics


$content = eregi_replace("\[BOLD]","<B>",$content);


$content = eregi_replace("\[ENDBOLD]","</B>",$content);


$content = eregi_replace("\[ITALICS]","<I>",$content);


$content = eregi_replace("\[ENDITALICS]","</I>",$content);





// Preformatted


$content = eregi_replace("\[PRE]","<PRE>",$content);


$content = eregi_replace("\[ENDPRE]","</PRE>",$content);





// Strip out carriage returns


$content = ereg_replace("\r","",$content);





// Handle paragraphs


$content = ereg_replace("\n\n","<P>",$content);





// Handle line breaks


$content = ereg_replace("\n","<BR>",$content);





// Handle list items


$content = eregi_replace("\[LIST]","<UL>",$content);


$content = eregi_replace("\[ENDLIST]","</UL>",$content);


$content = eregi_replace("\[NUMLIST]","<OL>",$content);


$content = eregi_replace("\[ENDNUMLIST]","</OL>",$content);


$content = eregi_replace("\[BULLET]","<LI>",$content);





// Handle hyperlinks


$content = ereg_replace( "\[LINK]([-_./a-zA-Z0-9!&%#?,'=:~]+)\[ENDLINK]", "<A HREF=\"\\1\">\\1</A>", $content);


$content = ereg_replace( "\[LINK=([-_./a-zA-Z0-9!&%#@?,'=:~]+)]". "([-_./a-zA-Z0-9 !&%#@?,'=:~]+)\[ENDLINK]", "<A HREF=\"\\1\">\\2</A>", $content);





?>